Isi

# Operator Eqv

Menghitung ekuivalensi logika dari dua ekspresi.

## Sintaksis:

    Hasil = Ekspresi1 Eqv Ekspresi2

## Parameter:

Hasil: Variabel numerik apa saja yang mengandung hasil dari perbadindang.

Ekspresi1, Ekspresi2: Ekspresi apa saja yang hendak dibandingkan.

Ketika pengujian untuk kesetaraan antara ekspresi Boolean, hasilnya adalah Benar jika ekspresi keduanya Benar atau Salah.

Dalam perbandingan bit-wise, operator Eqv hanya menetapkan bit yang sesuai dalam hasil jika bit diatur dalam kedua ekspresi, atau dalam ekspresi.

## Contoh:

    Sub ExampleEqv
    Dim A As Variant, B As Variant, C As Variant, D As Variantsee #i38265
    Dim vOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vOut = A > B Eqv B > C REM menghasilkan -1
        vOut = B > A Eqv B > C REM menghasilkan 0
        vOut = A > B Eqv B > D REM menghasilkan 0
        vOut = (B > D Eqv B > A) REM menghasilkan -1
        vOut = B Eqv A REM menghasilkan -3
    End Sub